import { select, csv, scaleLinear, max } from 'd3';

const width = 960;
const height = 500;
const margin = { top: 20, right: 30, bottom: 65, left: 220 };
const svg = select('svg');




const render = data => {
  const xScale = scaleLinear()
  .domain([0, max(data, d => d.OverallQual)])
	.range([0, width]);
  
  // console.log(xScale.domain())
  
	svg.selectAll('rect').
  data(data)
  .enter()
    .append('rect')
  	.attr('witch',300)
  	.attr('height', 300);
};

csv('houseData.csv').then(data => {
  data.forEach(d => {
  	d.OverallQual = +d.OverallQual;
    d.GrLivArea = +d.GrLivArea;
    d.GarageCars = +d.GarageCars;
    d.GarageArea = +d.GarageArea;
    d.TotalBsmtSF = +d.TotalBsmtSF;
    d.$1stFlrSF = +d.$1stFlrSF;
    d.TotRmsAbvGrd = +d.TotRmsAbvGrd;
    d.YearBuilt = +d.YearBuilt;
    d.YearRemodAdd = +d.YearRemodAdd;
    d.SalePrice = +d.SalePrice;
  });
  render(data);
});
